%define module_version 1.09
%define module_name App-Framework-Lite
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/DosGlob.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.09
Release: alt1
Summary: A lightweight framework for creating applications
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SD/SDPRICE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
App::Framework::Lite is a framework for quickly developing application scripts, where the majority of the mundane script setup,
documentation jobs are performed by the framework (under direction from simple text definitions stored in the script). This leaves 
the developer to concentrate on the main job of implementing the application.

The module also provides the facility of embedding itself into a copy of the original script, creating a self-contained stand-alone
script (for further details see the EMBEDDING entry elsewhere in this document).

Note that this module provides a subset of the the facilities provided by the App::Framework manpage, In particular, it provides the the App::Framework::Features:Args manpage,   
the App::Framework::Features:Options manpage, and the App::Framework::Features:Data manpage features.

To jump straight in to developing applications, please see the App::Framework::Lite::GetStarted manpage.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
* Sun Aug 07 2016 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1
- regenerated from template by package builder

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- initial import by package builder

